Skip to main content
POST
Count logs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body schema.

workerUuid
string<uuid>
required

Worker whose logs to count.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
runUuid
string<uuid>

When set, only logs for this run are counted.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
levels
enum<string>[]

Log levels to include.

Available options:
log,
info,
warn,
error,
debug

Match against the log message.

Required string length: 1 - 512
occurredAfter
string

Count logs that occurred after this ISO timestamp.

occurredBefore
string

Count logs that occurred before this ISO timestamp.

Response

Successful response

count
integer
required

Number of logs matching the filters.

Required range: 0 <= x <= 9007199254740991